<?php 
/*
* Pixel Point Creative - Quick Flip Module
* License: GNU General Public License version
* See: http://www.gnu.org/copyleft/gpl.html
* Copyright (c) Pixel Point Creative LLC.
* More info at http://www.pixelpointcreative.com
* Last Updated: 3/7/13
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

require_once (JPATH_SITE . '/components/com_content/helpers/route.php');

if (! class_exists("QuickFlipcontent") ) {

class QuickFlipcontent {

	var $items = array();

	var $featured = 2;	// 0 - without frontpage, 1 - only frontpage - 2 both

	var $web_url = '';	

	var $thumbnail_mode = 1;

	var $max_title = 25;	

	var $resize_folder = '';

	var $url_to_resize = '';

	var $url_to_module = '';	

    var $count_character = 1; 

    var $category = 0;

    var $sort_order_field = 'created';

    var $limit_articles = 20;

    var $limit_title_article = 25;

	var $limit_description_article = 60;

    var $limit_description_article_right = 100;

   	var $item_thumbnail_width   ='';

	var $item_thumbnail_height  ='';

	var $item_thumbnail_mode	='';

	function Content() {

	}

	function getList() {

			global $mainframe;			

			$items = array();

            class_exists('PpcUtils') or include_once 'ppc_utils.php'; 

			$db = & JFactory::getDBO ();

			$user = & JFactory::getUser ();

			$aid = $user->get ( 'aid', 0 );

			$aid = 1;

			$contentConfig = &JComponentHelper::getParams ( 'com_content' );

			$noauth = ! $contentConfig->get ( 'shownoauth' );			

			//jimport ( 'joomla.utilities.date' );
			// $date = new JDate ( );
			// $now = $date->toMySQL ();			
			$date = JFactory::getDate();
			$fn = (method_exists($date, 'toSql'))?'toSql':'toMySQL';
			$now = $date->$fn();  
			$nullDate = $db->getNullDate ();          
                if($this->category!=0){
                    $arraycatid = ($this->category);
                    $stringcatid = implode(",", $arraycatid);
				if (!is_null ($arraycatid)){
					if (!is_array($arraycatid)) {
					 $arraycatid = array($arraycatid);
					}

				 $query = 'SELECT a.*,u.name as creater,cc.id as catid, cc.description as catdesc, cc.title as cattitle, 
                 cc.access as cat_access, ' . ' CASE WHEN CHAR_LENGTH(a.alias) THEN CONCAT_WS(":", a.id, a.alias) 
                 ELSE a.id END as slug,' . ' CASE WHEN CHAR_LENGTH(cc.alias) THEN CONCAT_WS(":", cc.id, cc.alias) 
                 ELSE cc.id END as catslug FROM #__content AS a' . ' INNER JOIN #__categories AS cc ON cc.id = a.catid' . ' left 
                 JOIN #__users AS u ON a.created_by = u.id';          
				 $query .= ' WHERE a.state = 1 AND a.access IN('.implode(',', $user->getAuthorisedViewLevels()).') AND cc.access IN('.implode(',', $user->getAuthorisedViewLevels()).') AND (a.publish_up = ' . $db->Quote ( $nullDate ) . ' OR a.publish_up <= ' . $db->Quote ( $now ) . ' ) ' . ' AND cc.id IN ('."{$stringcatid}".') AND (a.publish_down = ' . $db->Quote ( $nullDate ) . ' OR a.publish_down >= ' . $db->Quote ( $now ) . ' )' . ' AND cc.published = 1';
                if ($this->featured == 0) {
					$query .= ' AND a.featured = 0';
				} else if ($this->featured == 1) {
					$query .= ' AND a.featured = 1';
				}

				          switch ($this->sort_order_field)
                                {
                                    case 'created': $ordering = 'a.created DESC';
                                                  break;                
                                    case 'modified': $ordering = 'a.modified DESC';                            
                                                  break; 
                                    case 'ordering': $ordering = 'a.ordering';                            
                                                  break;    
                                    case 'title': $ordering = 'a.title';                            
                                                  break;                         
                                    case 'random': $ordering = 'RAND()';
                                                 break;                          
                                    default:       $ordering = 'a.created';                              
                                                 break;
                              }  

                         $query .=  ' ORDER BY ' . $ordering;            
						 $query .=  $this->limit_articles ? ' LIMIT ' . $this->limit_articles : '';				   
						 $db->setQuery($query);
						 $a = $db->loadObjectlist();
						 if(!empty($a)){
                            $items[] = $a;
						 }
				    }

                    }

			        global $mainframe;
			        JPluginHelper::importPlugin ( 'content' );
			        $dispatcher = & JDispatcher::getInstance ();
			        $params =& JComponentHelper::getParams('com_content');
                    if(!is_null($items)){
                    $imgResizeConfig = array('background' => $this->item_thumbnail_background,'thumbnail_mode' => $this->item_thumbnail_mode);
                    PpcUtils::getImageResizerHelper($imgResizeConfig);
                    foreach ($items as $key=>$value){				
				     $article = array();

				      foreach ($value as $item) {
					  $temp = array();	
						if (!isset($item->category_sub_title)){
						$item->category_sub_title = $this->cutStr($item->cattitle, $this->limit_title_category);
						}
						$item->introtext = trim($item->introtext);
						$item->text = $item->introtext;
						$item->text .= $item->fulltext;							
						$item->article_desc = $this->removeImage($item->text);
                        $item->article_image = $this->getImage($item->text);

                        if ($this->item_thumbnail_mode=='none'){
                        $item->image = empty( $item->article_image ) ? 'modules/mod_quickflip/assets/images/nophoto.jpg' : $item->article_image ;
                        }

                        else
                        { 
                        $item->article_image= empty( $item->article_image ) ? 'modules/mod_quickflip/assets/images/nophoto.jpg' : $item->article_image ;
                        $item->image = PpcUtils::resize($item->article_image, $this->item_thumbnail_width, $this->item_thumbnail_height, $this->item_thumbnail_mode);
                        }

                        $item->article_content_right = $this->cutStr($item->article_desc, $this->limit_description_article_right);
						$item->article_content = $this->cutStr($item->article_desc, $this->limit_description_article);
                        if (!isset($item->article_sub_title)){
						$item->article_sub_title = $this->cutStr($item->title, $this->limit_title_article);
						}
						else
						{
						$item->article_sub_title = $item->title; 
						}

				    $temp['article_id'] = $item->id;				   



				    $temp['article_sub_title'] = $item->article_sub_title;			 



					$temp['creater'] = $item->creater;



                    $temp['article_image'] = $item->image;						



                    $temp['article_content'] = $item->article_content;



                    $temp['article_content_right'] = $item->article_content_right;



                    $temp['article_link'] = $item->article_link = JRoute::_(ContentHelperRoute::getArticleRoute($item->slug, $item->catslug));					



					$temp['category_sub_title']= $item->category_sub_title;	



                    $temp['date']= JHtml::_('date', $item->created, JText::_('DATE_FORMAT_LC4'));	



					$article[] = $temp;



				



				}



				$items[$key] = $article;



				}



			  }

           

        	   return $items;      



            }











		function getImage($str){			



    		$regex = "/\<img.+src\s*=\s*\"([^\"]*)\"[^\>]*\>/";



    		$matches = array();



			preg_match ( $regex, $str , $matches );    



			$images = (count($matches)) ? $matches : array ();



			$image = count($images) > 1 ? $images[1] : '';



						



			return $image;



			}



			



		function removeImage($str) {



		$regex1 = "/\<img[^\>]*>/";



		$str = preg_replace ( $regex1, '', $str );



		$regex1 = "/<div class=\"mosimage\".*<\/div>/";



		$str = preg_replace ( $regex1, '', $str );



		$str = trim ( $str );



		



		return $str;



			}



            



        function cutStr( $str, $number){



	



		//If length of string less than $number



		$str = strip_tags($str);



		if(strlen($str) <= $number){



			return $str;



		}



		$str = substr($str,0,$number);



	



		$pos = strrpos($str,' ');



	



		return substr($str,0,$pos).'...';



	}



            



}



}







?>



