<?php





/*





* Pixel Point Creative "Compact News" Module for Joomla! 1.7.x - Version 1.0





* License: GNU General Public License version 2 http://www.gnu.org/copyleft/gpl.html





* Copyright (c) October 2011 Pixel Point Creative LLC.





* More info at http://www.pixelpointcreative.com





*/





?>





<?php

















if (! class_exists("QuickFlipK2") ) {





class QuickFlipK2 {





	var $items = array();





	var $featured = 2;	// 0 - without frontpage, 1 - only frontpage - 2 both





	var $web_url = '';	





	var $thumbnail_mode = 1;





	var $max_title = 25;	





	var $resize_folder = '';





	var $url_to_resize = '';





	var $url_to_module = '';	





    var $count_character = 1; 





    var $k2category = 0;





    var $sort_order_field = 'created';





    var $limit_articles = 20;





    var $limit_title_article = 25;





	var $limit_description_article = 60;





    var $limit_description_article_right = 100;





   	var $item_thumbnail_width   ='';





	var $item_thumbnail_height  ='';





	var $item_thumbnail_mode	='';





    





		





	function getList() {





			global $mainframe;			





			$items = array();





            class_exists('PpcUtils') or include_once 'ppc_utils.php'; 





			$db = & JFactory::getDBO ();





			$user = & JFactory::getUser ();





			$aid = $user->get ( 'aid', 0 );





			$aid = 1;





			$contentConfig = &JComponentHelper::getParams ( 'com_content' );





			$noauth = ! $contentConfig->get ( 'shownoauth' );			





			jimport ( 'joomla.utilities.date' );





			$date = new JDate ( );





			$now = $date->toMySQL ();			





			$nullDate = $db->getNullDate ();          





                





                if($this->k2category!=0){





                require_once (JPATH_SITE . '/components/com_k2/helpers/route.php');





				$arraycatid = ($this->k2category);

        

            if (is_array($arraycatid)) {
                $stringcatid = implode(",", $arraycatid);    
            } else {
                $stringcatid =  $arraycatid;
            }




				if (!is_null ($arraycatid)){





					if (!is_array($arraycatid)) {





					 $arraycatid = array($arraycatid);





					}





                 





                 





				 $query = 'SELECT a.*,u.name as creater,cc.id as catid, cc.description as catdesc, cc.name as cattitle, cc.alias as categoryalias,  





                 cc.access as cat_access, ' . ' CASE WHEN CHAR_LENGTH(a.alias) THEN CONCAT_WS(":", a.id, a.alias) 





                 ELSE a.id END as slug,' . ' CASE WHEN CHAR_LENGTH(cc.alias) THEN CONCAT_WS(":", cc.id, cc.alias) 





                 ELSE cc.id END as catslug FROM #__k2_items AS a' . ' INNER JOIN #__k2_categories AS cc ON cc.id = a.catid' . ' left 





                 JOIN #__users AS u ON a.created_by = u.id';          





				 $query .= ' WHERE a.published =1 AND a.trash =0 '. ($noauth ? ' AND a.access <= ' . ( int ) $aid . ' AND cc.access <= ' . ( int ) $aid : '') . ' AND (a.publish_up = ' . $db->Quote ( $nullDate ) . ' OR a.publish_up <= ' . $db->Quote ( $now ) . ' ) ' . ' AND cc.id IN ('."{$stringcatid}".') AND (a.publish_down = ' . $db->Quote ( $nullDate ) . ' OR a.publish_down >= ' . $db->Quote ( $now ) . ' )' . ' AND cc.published = 1';





				if ($this->featured == 0) {





					$query .= ' AND a.featured != 1';





				} else if ($this->featured == 1) {





					$query .= ' AND a.featured = 1';





				}





				





				          switch ($this->sort_order_field)





                                {





                                    case 'created': $ordering = 'a.created DESC';





                                                  break;                





                                    case 'modified': $ordering = 'a.modified DESC';                            





                                                  break; 





                                    case 'ordering': $ordering = 'a.ordering';                            





                                                  break;    





                                    case 'title': $ordering = 'a.title';                            





                                                  break;                         





                                    case 'random': $ordering = 'RAND()';





                                                 break;                          





                                    default:       $ordering = 'a.created';                              





                                                 break;





                              }  





                                          





                         $query .=  ' ORDER BY ' . $ordering;            





						 $query .=  $this->limit_articles ? ' LIMIT ' . $this->limit_articles : '';					   





						 $db->setQuery($query);





						 $a = $db->loadObjectlist();





                         





						 if(!empty($a)){





                            $items[] = $a;





						 }





				    }





                    }





			





			        global $mainframe;





			        JPluginHelper::importPlugin ( 'k2' );





			        $dispatcher = & JDispatcher::getInstance ();





			        $params =& JComponentHelper::getParams('com_content');





                    if(!is_null($items)){





                    $imgResizeConfig = array('background' => $this->item_thumbnail_background,'thumbnail_mode' => $this->item_thumbnail_mode);





                    PpcUtils::getImageResizerHelper($imgResizeConfig);





                        





                        





                    foreach ($items as $key=>$value){				





				     $article = array();





				      foreach ($value as $item) {





					  $temp = array();	





						if (!isset($item->category_sub_title)){





						$item->category_sub_title = $this->cutStr($item->cattitle, $this->limit_title_category);





						}





						$item->introtext = trim($item->introtext);





						$item->text = $item->introtext;





						$item->text .= $item->fulltext;							





						$item->article_desc = $this->removeImage($item->text);





                        //$item->article_image = $this->getImage($item->text);

            $this->forImage($item);


            $item->article_image = $item->main_image;









                        if ($this->item_thumbnail_mode=='none'){





                        $item->image = empty( $item->article_image ) ? 'modules/mod_compact_news/images/slidedownbox.jpg' : $item->article_image ;





                        





                        }





                        else





                        {





                        $item->article_image= empty( $item->article_image ) ? 'modules/mod_compact_news/images/slidedownbox.jpg' : $item->article_image ;





                        $item->image = PpcUtils::resize($item->article_image, $this->item_thumbnail_width, $this->item_thumbnail_height, $this->item_thumbnail_mode);





                        }











                        $item->article_content_right = $this->cutStr($item->article_desc, $this->limit_description_article_right);





						$item->article_content = $this->cutStr($item->article_desc, $this->limit_description_article);





                        





                        if (!isset($item->article_sub_title)){





						$item->article_sub_title = $this->cutStr($item->title, $this->limit_title_article);





						}





						else





						{





						$item->article_sub_title = $item->title; 





						}





                        $item->link = urldecode(JRoute::_(K2HelperRoute::getItemRoute($item->id.':'.urlencode($item->alias), $item->catid.':'.urlencode($item->categoryalias))));





				    $temp['article_id'] = $item->id;				   





				    $temp['article_sub_title'] = $item->article_sub_title;			 





					$temp['creater'] = $item->creater;





                    $temp['article_image'] = $item->image;					





                    $temp['article_content'] = $item->article_content;





                    $temp['article_content_right'] = $item->article_content_right;





                    $temp['article_link']= $item->link;					





					$temp['category_sub_title']= $item->category_sub_title;	





                    $temp['date']= JHtml::_('date', $item->created, JText::_('DATE_FORMAT_LC4'));	





					$article[] = $temp;





				





				}





				$items[$key] = $article;





				}





			  }


          


        	   return $items;      





            }








   function forImage( &$item ){
		
			$content =  $item->introtext;
			$content .=  $item->fulltext;
						
			$item  = $this->k2Image( $item );
			
			if( $item->main_image != '' ){
				
				return $item;
			}
			
			preg_match ( "#<img.+src\s*=\s*\"([^\"]*)\"[^\>]*\>#iU" , $content, $matches); 
			$images = (count($matches)) ? $matches : array();
			if (count($images)){				
				$item->main_image = $images[1];
			} else {				
				$row->main_image = '';	
			}
			
		}
		
		
					
		function k2Image( &$item, $size='XL' ){			
			$item->main_image ='';
			if (JFile::exists(JPATH_SITE.DS.'media'.DS.'k2'.DS.'items'.DS.'cache'.DS.md5("Image".$item->id).'_'.$size.'.jpg')) {
				$item->main_image = 'media/k2/items/cache/'.md5("Image".$item->id).'_'.$size.'.jpg';
			}
			
			return $item; 
		}








		function getImage($str){			





    		$regex = "/\<img.+src\s*=\s*\"([^\"]*)\"[^\>]*\>/";





    		$matches = array();





			preg_match ( $regex, $str , $matches );    





			$images = (count($matches)) ? $matches : array ();





			$image = count($images) > 1 ? $images[1] : '';





						





			return $image;





			}





			





		function removeImage($str) {





		$regex1 = "/\<img[^\>]*>/";





		$str = preg_replace ( $regex1, '', $str );





		$regex1 = "/<div class=\"mosimage\".*<\/div>/";





		$str = preg_replace ( $regex1, '', $str );





		$str = trim ( $str );





		





		return $str;





			}





            





        function cutStr( $str, $number){





	





		//If length of string less than $number





		$str = strip_tags($str);





		if(strlen($str) <= $number){





			return $str;





		}





		$str = substr($str,0,$number);





	





		$pos = strrpos($str,' ');





	





		return substr($str,0,$pos).'...';





	}





            





}





}











?>





