<?php 



/*



* Pixel Point Creative "Compact News" Module for Joomla! 1.7.x - Version 1.0



* License: GNU General Public License version 2 http://www.gnu.org/copyleft/gpl.html



* Copyright (c) October 2011 Pixel Point Creative LLC.



* More info at http://www.pixelpointcreative.com



*/







 



 



defined('_JEXEC') or die('Restricted access');



if (! class_exists("modQuickFlipHelper") ) { 



    



        require_once (dirname(__FILE__) .DS. 'assets' .DS.'quickflip_content.php');



        require_once (dirname(__FILE__) .DS. 'assets' .DS.'quickflip_k2.php');







class modQuickFlipHelper {



	var $module_name = '';



		function process($params, $module) {



		



		$enable_cache 		=   $params->get('cache',1);



		$cachetime			=   $params->get('cache_time',0);



		$this->module_name =    $module->module;



		



		if($enable_cache==1) {		



			$conf =& JFactory::getConfig();



			$cache = &JFactory::getCache($module->module);



			$cache->setLifeTime( $params->get( 'cache_time', $conf->getValue( 'config.cachetime' ) * 60 ) );



			$cache->setCaching(true);



			$items =  $cache->get( array('modQuickFlipHelper', 'getList'), array($params, $module));



		} else {



			$items = modQuickFlipHelper::getList($params, $module);



		}



		



		return $items;		



		



	}



	



	



	function getList ($params, $module) {



		if($params->get('sec_or_cat')==0){

            $content = new QuickFlipcontent();

            $content->cat_or_sec_ids = $params->get('sections', '');

        }else if($params->get('sec_or_cat')==1){

            $content = new QuickFlipcontent();

            $content->cat_or_sec_ids = $params->get('categories', '');
        
        }else{

            $content = new QuickFlipK2();

            $content->k2category = $params->get('k2', '');

        }   

       
		$content->is_cat_or_sec        = $params->get('sec_or_cat', 0);
        $content->select_component		= $params->get('select_component',0); 



		$content->web_url 				= JURI::base();



        $content->featured 				= $params->get('featured', 2);



		$content->category				= $params->get('category',0); 



        //$content->k2category			= $params->get('k2category',0); 



		$content->sort_order_field      = $params->get("sort_order_field",'created');   



		$content->limit_articles        = $params->get('limit_articles', 6); 



        $content->resize_folder 		= JPATH_CACHE.DS. $module->module .DS."images";



        $content->url_to_resize 		= $content->web_url . "cache/". $module->module ."/images/";



        $content->thumbnail_mode		= $params->get('thumbnail_mode', 1);



        $content->count_character 		= $params->get('count_character', 1); 



        $content->read_more_link        = $params->get("read_more_text", '10'); 



        $content->show_title            = $params->get("show_title", 1);



        $content->show_image            = $params->get("show_image", 1);



        $content->show_read_more_link   = $params->get("show_read_more_link",'1');  



		$content->featured         		= $params->get("featured", 2);



        $content->limit_title_category     		= $params->get('limit_title_category', 25); 



		$content->limit_title_article     		= $params->get('limit_title_article', 25);  



		$content->limit_description_article   	= $params->get('limit_description_article', 60);



        $content->limit_description_article_right   	= $params->get('limit_description_article_right', 100); 



       	$content->item_thumbnail_width				= $params->get("item_thumbnail_width", ''); 



		$content->item_thumbnail_height				= $params->get("item_thumbnail_height",''); 



		$content->item_thumbnail_background			= $params->get("item_thumbnail_background", ''); 



		$content->item_thumbnail_mode				= $params->get("item_thumbnail_mode", '');  		  	  		



		$items = $content->getList();	



		return $items;



	}



	







}



			



} 



if(!class_exists('Browser')){



	class Browser



	{



		private $props    = array("Version" => "0.0.0",



									"Name" => "unknown",



									"Agent" => "unknown") ;



	



		public function __Construct()



		{



			$browsers = array("firefox", "msie", "opera", "chrome", "safari",



								"mozilla", "seamonkey",    "konqueror", "netscape",



								"gecko", "navigator", "mosaic", "lynx", "amaya",



								"omniweb", "avant", "camino", "flock", "aol");



	



			$this->Agent = strtolower($_SERVER['HTTP_USER_AGENT']);



			foreach($browsers as $browser)



			{



				if (preg_match("#($browser)[/ ]?([0-9.]*)#", $this->Agent, $match))



				{



					$this->Name = $match[1] ;



					$this->Version = $match[2] ;



					break ;



				}



			}



		}



	



		public function __Get($name)



		{



			if (!array_key_exists($name, $this->props))



			{



				die("No such property or function {$name}");



			}



			return $this->props[$name] ;



		}



	



		public function __Set($name, $val)



		{



			if (!array_key_exists($name, $this->props))



			{



				SimpleError("No such property or function.", "Failed to set $name", $this->props);



				die;



			}



			$this->props[$name] = $val ;



		}



	



	} 



}	



?>







