<?php 
/*
* Pixel Point Creative - Quick Flip Module
* License: GNU General Public License version
* See: http://www.gnu.org/copyleft/gpl.html
* Copyright (c) Pixel Point Creative LLC.
* More info at http://www.pixelpointcreative.com
* Last Updated: 3/7/13
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

if (!defined("DS")) {
	define('DS', DIRECTORY_SEPARATOR);
}

require_once (dirname(__FILE__).DS.'helper.php');
jimport("joomla.filesystem.folder");
jimport("joomla.filesystem.file");
/*-- Process---*/
$headcolor                       	= $params->get("headcolor",'#8b5a2b');
$bodytextcolor                     	= $params->get("bodytextcolor",'#111111');
$buttoncolor                     	= $params->get("buttoncolor",'#8b5a2b');
$buttontextcolor                     	= $params->get("buttontextcolor",'#ffffff');
$show_image                     	= $params->get("show_image",'1');
// $width_module                   	= $params->get("width_module", 500); 
// $height_module                   	= $params->get("height_module", 400); 
$limit_articles                 	= $params->get('limit_articles', 20);
$category		 		= $params->get('category', 0); 
$k2category		 		= $params->get('k2category', 0);
$sort_order_field               	= $params->get("sort_order_field",'created');
$limit_title_article     		= $params->get('limit_title_article', 25);
$target          			= $params->get("target", '_self');
$show_description 			= $params->get("show_description", '1');
$show_title 			        = $params->get("show_title", '1');
$show_read_more_link            	= $params->get("show_read_more_link",'1');
$preview_pageturn   		  	= $params->get("preview_pageturn",'false');
$autoplay	   		  	= $params->get("autoplay",'false');
$autodelay	   		  	= $params->get("autodelay",'5000');
$overlay	   		  	= $params->get("overlay",'false');
$keyboard	   		  	= $params->get("keyboard",'false');
$start_page	       		  	= $params->get("start_page",'0');
$number		       		  	= $params->get("number",'true');
$link_img         		  	= $params->get("link_img",'1');
$show_art_text         		  	= $params->get("show_art_text",'1');
$show_button2         		  	= $params->get("show_button2",'1');
$show_button	          	 	= $params->get("show_button", 'true');
$read_more_link                 	= $params->get("read_more_text", 'Read More...'); 
$limit_description_article      	= $params->get('limit_description_article', 125);
$limit_description_article_right    	= $params->get('limit_description_article_right', 100);
$num_items            			= $params->get("num_items", 2);
$thumbnail_mode            		= $params->get("thumbnail_mode", 1);
$limit_items				= $params->get("limit_items", 6); 
$featured                       	= $params->get('featured', 2); 
$thmDir 				= dirname(__FILE__) .DS. 'elements'.DS;
$item_thumbnail_width			= $params->get("item_thumbnail_width", ''); 
$item_thumbnail_height			= $params->get("item_thumbnail_height",''); 
$item_thumbnail_mode			= $params->get("item_thumbnail_mode", '');
$custom_title                 		= $params->get("custom_title", 'Demo'); 
$custom_link                 		= $params->get("custom_link", '#'); 
$assetDir 				= dirname(__FILE__).DS.'assets'.DS.'images'.DS;
$custom_target               		= $params->get("custom_target", '_self'); 
$custom_show              		= $params->get("custom_show", 0); 
$jquery					= $params->get('jquery', '1');

	JHtml::stylesheet('modules/'.$module->module.'/assets/css/style.css');
	if( !defined('SMART_JQUERY') && $jquery ){
		JHtml::script('modules/'.$module->module.'/assets/js/jquery-1.8.2.min.js');
		JHtml::script('modules/'.$module->module.'/assets/js/jquery-noconflict.js');
		define('SMART_JQUERY', 1);
	} 
	
	JHtml::script('modules/'.$module->module.'/assets/js/jquery.imagesloaded.js');
	JHtml::script('modules/'.$module->module.'/assets/js/jquery.easing.1.3.js');
	JHtml::script('modules/'.$module->module.'/assets/js/jquery.booklet.latest.js');
	JHtml::script('modules/'.$module->module.'/assets/js/jquery-ui-1.10.1.custom.min.js');
	
$contentHelper = new modQuickFlipHelper();
require_once( $thmDir . 'newDates.php' );
$items = $contentHelper->process($params, $module);
$count_category = count ($items);
require_once( $thmDir . 'defaultInfo.php' );
$path = JModuleHelper::getLayoutPath( 'mod_quickflip', 'default' );
if (file_exists($path)) {
	require($path);
}
?>
