<?php 
/*
* Pixel Point Creative - Quick Flip Module
* License: GNU General Public License version
* See: http://www.gnu.org/copyleft/gpl.html
* Copyright (c) Pixel Point Creative LLC.
* More info at http://www.pixelpointcreative.com
* Last Updated: 2/6/14
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); ?>

<?php if(!empty($items) && isset($items[0]) ){?>
<div id="quickflip<?php echo $module->id; ?>" class="quickflip <?php echo $params->get("moduleclass_sfx");?>" style="width:100%;">
	<div class="book_wrapper">
	 <?php if ($show_button2 == 1) {?> 
			 <?php }?>
			<div id="loading<?php echo $module->id; ?>" class="loading"></div>
			<div id="mybook<?php echo $module->id; ?>" style="display:none;" >
					<?php foreach ($items[0] as $key => $value){  
					?>
					<div class="quickflip-content">
						<?php if($show_image == 1 && isset($value['article_image']) && $value['article_image'] != ""){?>
						<?php if ($link_img == 1) {?> 
						<a href="<?php echo $value['article_link'];?>" target="<?php echo $target;?>" style="background:none;text-decoration:none" >
						<?php }?>
						<img src="<?php echo $value['article_image'];?>" alt="<?php echo $value['article_sub_title'];?>"/>
						<?php if ($link_img == 1) {?> 
						</a>
						<?php }?>
						<?php } ?>
						 <?php if ($show_title == 1) {?> 
						<h1> <a style="color:<?php echo $headcolor;?>;background:none;text-decoration:none" href="<?php echo $value['article_link'];?>" target="<?php echo $target;?>" ><?php echo $value['article_sub_title'];?></a></h1>
						<?php }?>
						<?php if ($show_art_text == 1) {?>
						<p style="color:<?php echo $bodytextcolor;?>"><?php echo $value['article_content_right'];?></p>
						<?php }?>
						<?php if($custom_show):?>
						<a style="background-color:<?php echo $buttoncolor;?>; color:<?php echo $buttontextcolor;?>" href="<?php echo $custom_link;?>" target="<?php echo $custom_target?>" class="article"><?php echo $custom_title;?></a>
						<?php endif;?>
						 <?php if ($show_read_more_link == 1) {?>  
							<a style="background-color:<?php echo $buttoncolor;?>; color:<?php echo $buttontextcolor;?>" href="<?php echo $value['article_link'];?>" target="<?php echo $target;?>" class="demo"><?php echo $read_more_link;?></a>
						 <?php }?>
					</div>
					<?php } ?>					
			</div>
		</div>	
   </div>  
	<?php   } else { echo JText::_('Has no content to show!');}?>
        
        
<script type="text/javascript">
// <![CDATA[
jQuery(document).ready(function($) {
;(function(element){
	var $mybook = $(element);
	var WidthBookResize = function(){
		var $widthbook = 0;
			<?php if ($params->get("show_button") ==  'true'){ ?>
				if($(window).width()>=1200 ){
					$widthbook ='90%';
				}
				else if($(window).width()<=1999){
					$widthbook ='85%';
				}
			<?php } else {?>	
				$widthbook ='100%' ;
			<?php }?>
			return $widthbook;
			}
		var maxHeightContent = function(){
			var itemsWrap = $('.quickflip-content',$mybook);
			if (itemsWrap.length){
				itemsWrap.height('auto');
				var $maxHeight = -1
				for(var $i =0 ; $i < itemsWrap.length; $i++){
					if($maxHeight < $(itemsWrap[$i]).height()){
						$maxHeight = $(itemsWrap[$i]).height();
					}
				}
				if($maxHeight >0){
					$maxHeight = $maxHeight + 60;
					return $maxHeight;
				}
			}
		
		};
	
			var MyBookDefault = function(){
			$mybook.booklet({
				name:                 null,                            // name of the booklet to display in the document title bar
				width:                WidthBookResize(),                             // container width
				height:               400,                             // container height
				speed:                1000,                            // speed of the transition between pages
				direction:            'LTR',                           // direction of the overall content organization, default LTR, left to right, can be RTL for languages which read right to left
				startingPage:         <?php echo $start_page;?>,                               // index of the first page to be displayed
				easing:               'easeInOutQuad',                 // easing method for complete transition
				easeIn:               'easeInQuad',                    // easing method for first half of transition
				easeOut:              'easeOutQuad',                   // easing method for second half of transition

				closed:               false,                           // start with the book "closed", will add empty pages to beginning and end of book
				closedFrontTitle:     'Beginning',                     // used with "closed", "menu" and "pageSelector", determines title of blank starting page
				closedFrontChapter:   'Beginning of Book',             // used with "closed", "menu" and "chapterSelector", determines chapter name of blank starting page
				closedBackTitle:      'End',                           // used with "closed", "menu" and "pageSelector", determines chapter name of blank ending page
				closedBackChapter:    'End of Book',                   // used with "closed", "menu" and "chapterSelector", determines chapter name of blank ending page
				covers:               false,                           // used with "closed", makes first and last pages into covers, without page numbers (if enabled)
				autoCenter:           false,                           // used with "closed", makes book position in center of container when closed

				pagePadding:          10,                              // padding for each page wrapper
				pageNumbers:          <?php echo $number;?>,                            // display page numbers on each page
				pageBorder:           0,                               // size of the border around each page

				manual:               true,                            // enables manual page turning, requires jQuery UI to function
				hovers:               <?php echo $preview_pageturn;?>,                            // enables preview page-turn hover animation, shows a small preview of previous or next page on hover
				hoverWidth:           60,                              // default width for page-turn hover preview
				hoverSpeed:           300,                             // default speed for page-turn hover preview
				hoverThreshold:       0.25,                            // default percentage used for manual page dragging, sets the percentage amount a drag must be before moving next or prev
				hoverClick:           true,                            // enables hovered arreas to be clicked when using manual page turning
				overlays:             <?php echo $overlay;?>,                           // enables navigation using a page sized overlay, when enabled links inside the content will not be clickable
				tabs:                 false,                           // adds tabs along the top of the pages
				tabWidth:             60,                              // set the width of the tabs
				tabHeight:            20,                              // set the height of the tabs
				nextControlText:      'Next',                          // inline text for all 'next' controls
				previousControlText:  'Previous',                      // inline text for all 'previous' controls
				nextControlTitle:     'Next Page',                     // text for title attributes of all 'next' controls
				previousControlTitle: 'Previous Page',                 // text for title attributes of all 'previous' controls
				arrows:               <?php echo $show_button;?>,                           // adds arrow overlays over the book edges
				arrowsHide:           false,                           // auto hides arrows when controls are not hovered
				cursor:               'pointer',                       // cursor css setting for side bar areas

				hash:                 false,                           // enables navigation using a hash string, ex: #/page/1 for page 1, will affect all booklets with 'hash' enabled
				hashTitleText:        " - Page ",                      // text which forms the hash page title, ex: (Name)" - Page "(1)
				keyboard:             true,                            // enables navigation with arrow keys (left: previous, right: next)
				next:                 null,                            // selector for element to use as click trigger for next page
				prev:                 null,                            // selector for element to use as click trigger for previous page
				auto:                 <?php echo $autoplay;?>,                           // enables automatic navigation, requires "delay"
				delay:                <?php echo $autodelay;?>,                            // amount of time between automatic page flipping
				pause:                null,                            // selector for element to use as click trigger for pausing auto page flipping
				play:                 null,                            // selector for element to use as click trigger for restarting auto page flipping

				menu:                 null,                            // selector for element to use as the menu area, required for 'pageSelector'
				pageSelector:         false,                           // enables navigation with a drop-down menu of pages, requires 'menu'
				chapterSelector:      false,                           // enables navigation with a drop-down menu of chapters, determined by the "rel" attribute, requires 'menu'

				shadows:              true,                            // display shadows on page animations
				shadowTopFwdWidth:    166,                             // shadow width for top forward animation
				shadowTopBackWidth:   166,                             // shadow width for top back animation
				shadowBtmWidth:       50,                              // shadow width for bottom shadow

				create:               null,                            // called when booklet has been created
				start:                null,                            // called when booklet starts to change pages
				change:               null,                            // called when booklet has finished changing pages
				add:                  null,                            // called when booklet has added a page
				remove:               null                             // called when booklet has removed a page
				});
		}
	
	
	
	$(window).resize(function(){
		WidthBookResize();
		maxHeightContent();
		$mybook.booklet( "option", "width", WidthBookResize() );
		$mybook.booklet( "option", "height",maxHeightContent() );
		
	}).load(function(){
		WidthBookResize();
		// if ( $.browser.msie){
			$mybook.show();
			MyBookDefault();
		// }
		maxHeightContent();
		$mybook.booklet( "option", "width", WidthBookResize() );
		$mybook.booklet( "option", "height",maxHeightContent() );
			
	});
	
	
	var $loading		= $('#loading<?php echo $module->id; ?>');
	var $mybook_images	= $mybook.find('img');
	var cnt_images		= $mybook_images.length;
	var loaded			= 0;
	//preload all the images in the book,
	//and then call the booklet plugin

	$mybook_images.each(function(){
		var $img 	= $(this);
		var source	= $img.attr('src');
		$('<img/>').load(function(){
			++loaded;
			if(loaded == cnt_images){
				$loading.hide();
			}
		}).attr('src',source);
	});
	

	})('#mybook<?php echo $module->id; ?>')
});
//  ]]>
</script>