<?php                 

/*

* Pixel Point Creative "Compact News" Module for Joomla! 1.5.x - Version 1.0

* License: GNU General Public License version 2 http://www.gnu.org/copyleft/gpl.html

* Copyright (c) October 2011 Pixel Point Creative LLC.

* More info at http://www.pixelpointcreative.com

*/

 

// no direct access

defined( '_JEXEC' ) or die( 'Restricted access' );



if (class_exists('JElement')){

	class JElementListThumbnailMode extends JElement {

		var $_name = 'Ppc Thumbnail Modes';

		var $_mode = array('center', 'fill', 'fit', 'stretch');

		function fetchElement($name, $value, &$node, $control_name){

			$html = "";

			if (count($this->_mode)>0){

				$html = '<select class="inputbox" id="' . $control_name . $name .'" name="' . $control_name . '[' . $name . ']" style="width:132px;">';

				foreach ($this->_mode as $mode){

					$selected = $mode == $value ? 'selected="selected"' : '';

					$html .= '<option value="' . $mode . '" ' . $selected . '>' . JText::_(ucfirst($mode)) . '</option>';

				}

				$html .= '<select>';

			}

			$html .= "<br>"

				. "<div class=\"ppc_description\" style=\"padding: 5px 0 0 0;\">

						<img src=\"data:image/gif;base64,R0lGODlhAQABAJEAAAAAAP///////wAAACH5BAUUAAIALAAAAAABAAEAAAICVAEAOw==\" alt=\"PPC Thumbnail Modes\" style=\"background:url(../modules/mod_quickflip/images/thumbmode.png) no-repeat;width:400px; height: 60px;\"/>

					</div>";

			return $html;

		}

	}

}

if (class_exists('JFormField')){

	class JFormFieldListThumbnailMode extends JFormField {

		var $_name = 'Ppc Thumbnail Modes';

		var $_mode = array( 'center', 'fill', 'fit', 'stretch');

		function getInput(){

			$html = "";

			if (count($this->_mode)>0){

				$html = '<select class="inputbox" id="' . $this->id .'" name="' . $this->name . '" style="width:132px;">';

				foreach ($this->_mode as $mode){

					$selected = $mode == $this->value ? 'selected="selected"' : '';

					$html .= '<option value="' . $mode . '" ' . $selected . '>' . JText::_(ucfirst($mode)) . '</option>';

				}

				$html .= '<select>';

			}

			$html .= "<br>"

				. "<div class=\"ppc_description\" style=\"padding: 5px 0 0 0;\">

						<img src=\"data:image/gif;base64,R0lGODlhAQABAJEAAAAAAP///////wAAACH5BAUUAAIALAAAAAABAAEAAAICVAEAOw==\" alt=\"PPC Thumbnail Modes\" style=\"background:url(../modules/mod_quickflip/images/thumbmode.png) no-repeat;width:400px; height: 60px;\"/>

					</div>";

			return $html;

		}

	}

}