<?php
/*
* Pixel Point Creative "Quick Flip" Module for Joomla! 1.5
* License: GNU General Public License version 2 http://www.gnu.org/copyleft/gpl.html
* Copyright (c) October 2011 Pixel Point Creative LLC.
* More info at http://www.pixelpointcreative.com
*/
?>
<?php defined( '_JEXEC' ) or die( 'Restricted access' ); ?>

<?php if(!empty($items) && isset($items[0]) ){?>
<div id="quickflip<?php echo $module->id; ?>" class="quickflip" style="width:<?php echo ($width_module + 80);?>px;">
	<div class="book_wrapper">
	 <?php if ($show_button2 == 1) {?> 
			<a id="next_page_button<?php echo $module->id; ?>" class="next_page_button"></a>
			<a id="prev_page_button<?php echo $module->id; ?>" class="prev_page_button"></a>
			 <?php }?>
			<div id="loading<?php echo $module->id; ?>" class="loading"></div>
			<div id="mybook<?php echo $module->id; ?>" style="display:none;">
				<div class="b-load">
					<?php foreach ($items[0] as $key => $value){  
						
					?>
					<div>
						<?php if($show_image == 1 && isset($value['article_image']) && $value['article_image'] != ""){?>
						<a href="<?php echo $value['article_link'];?>" target="<?php echo $target;?>" style="background:none">
						<img src="<?php echo $value['article_image'];?>" alt="<?php echo $value['article_sub_title'];?>"/>
						</a>
						<?php } ?>
						<h1> <a style="color:<?php echo $headcolor;?>;background:none;text-decoration:none" href="<?php echo $value['article_link'];?>" target="<?php echo $target;?>" ><?php echo $value['article_sub_title'];?></a></h1>
						<p style="color:<?php echo $bodytextcolor;?>"><?php echo $value['article_content_right'];?></p>
						<?php if($custom_show):?>
						<a style="background-color:<?php echo $buttoncolor;?>; color:<?php echo $buttontextcolor;?>" href="<?php echo $custom_link;?>" target="<?php echo $custom_target?>" class="article"><?php echo $custom_title;?></a>
						<?php endif;?>
						 <?php if ($show_read_more_link == 1) {?>  
							<a style="background-color:<?php echo $buttoncolor;?>; color:<?php echo $buttontextcolor;?>" href="<?php echo $value['article_link'];?>" target="<?php echo $target;?>" class="demo"><?php echo $read_more_link;?></a>
						 <?php }?>
					</div>
					<?php } ?>					
				</div>
			</div>
		</div>	
   </div>  
	<?php   } else { echo JText::_('Has no content to show!');}?>
        
        
<script type="text/javascript">
// <![CDATA[
jQuery(document).ready(function($) {
	var $mybook 		= $('#mybook<?php echo $module->id; ?>');
	var $bttn_next		= $('#next_page_button<?php echo $module->id; ?>');
	var $bttn_prev		= $('#prev_page_button<?php echo $module->id; ?>');
	var $loading		= $('#loading<?php echo $module->id; ?>');
	var $mybook_images	= $mybook.find('img');
	var cnt_images		= $mybook_images.length;
	var loaded			= 0;
	//preload all the images in the book,
	//and then call the booklet plugin

	$mybook_images.each(function(){
		var $img 	= $(this);
		var source	= $img.attr('src');
		$('<img/>').load(function(){
			++loaded;
			if(loaded == cnt_images){
				$loading.hide();
				$bttn_next.show();
				$bttn_prev.show();
				$mybook.show().booklet({
					name:               null,                            // name of the booklet to display in the document title bar
					width:              <?php echo intval($width_module);?>,                             // container width
					height:             <?php echo intval($height_module);?>,                             // container height
					speed:              600,                             // speed of the transition between pages
					direction:          'LTR',                           // direction of the overall content organization, default LTR, left to right, can be RTL for languages which read right to left
					startingPage:       <?php echo $start_page;?>,           // index of the first page to be displayed
					easing:             'easeInOutQuad',                 // easing method for complete transition
					easeIn:             'easeInQuad',                    // easing method for first half of transition
					easeOut:            'easeOutQuad',                   // easing method for second half of transition

					closed:             false,                           // start with the book "closed", will add empty pages to beginning and end of book
					closedFrontTitle:   null,                            // used with "closed", "menu" and "pageSelector", determines title of blank starting page
					closedFrontChapter: null,                            // used with "closed", "menu" and "chapterSelector", determines chapter name of blank starting page
					closedBackTitle:    null,                            // used with "closed", "menu" and "pageSelector", determines chapter name of blank ending page
					closedBackChapter:  null,                            // used with "closed", "menu" and "chapterSelector", determines chapter name of blank ending page
					covers:            false,                           // used with  "closed", makes first and last pages into covers, without page numbers (if enabled)

					pagePadding:        10,                              // padding for each page wrapper
					pageNumbers:        <?php echo $pagenumbers;?>,           // display page numbers on each page

					hovers:            <?php echo $preview_pageturn;?>,  // enables preview pageturn hover animation, shows a small preview of previous or next page on hover
					overlays:           <?php echo $overlay;?>,         // enables navigation using a page sized overlay, when enabled links inside the content will not be clickable
					tabs:               false,                           // adds tabs along the top of the pages
					tabWidth:           60,                              // set the width of the tabs
					tabHeight:          20,                              // set the height of the tabs
					arrows:             <?php echo $show_button;?>,      // adds arrows overlayed over the book edges
					cursor:             'pointer',                       // cursor css setting for side bar areas

					hash:               false,                           // enables navigation using a hash string, ex: #/page/1 for page 1, will affect all booklets with 'hash' enabled
					keyboard:           <?php echo $keyboard;?>,         // enables navigation with arrow keys (left: previous, right: next)
					next:               $bttn_next,          	     // selector for element to use as click trigger for next page
					prev:               $bttn_prev,            	     // selector for element to use as click trigger for previous page

					menu:               null,                            // selector for element to use as the menu area, required for 'pageSelector'
					pageSelector:       false,                           // enables navigation with a dropdown menu of pages, requires 'menu'
					chapterSelector:    false,                           // enables navigation with a dropdown menu of chapters, determined by the "rel" attribute, requires 'menu'

					shadows:            true,                            // display shadows on page animations
					shadowTopFwdWidth:  166,                             // shadow width for top forward anim
					shadowTopBackWidth: 166,                             // shadow width for top back anim
					shadowBtmWidth:     50,                              // shadow width for bottom shadow

					before:             function(){},                    // callback invoked before each page turn animation
					after:              function(){}                     // callback invoked after each page turn animation
				});
				Cufon.refresh();
			}
		}).attr('src',source);
	});
	
});
//  ]]>
</script>
